<?php
/**
* Noting Found Page Settings.
*
* @package Home Construction Builder
*/

$home_construction_builder_default = home_construction_builder_get_default_theme_options();

$wp_customize->add_section( 'home_construction_builder_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Nothing Found Page Settings', 'home-construction-builder' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'home_construction_builder_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'home_construction_builder_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'home_construction_builder_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'home_construction_builder_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'home-construction-builder' ),
        'section'  => 'home_construction_builder_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('home_construction_builder_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'home_construction_builder_sanitize_checkbox',
    )
);
$wp_customize->add_control('home_construction_builder_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'home-construction-builder'),
        'section' => 'home_construction_builder_noting_found_page_settings',
        'type' => 'checkbox',
    )
);